import * as $dara from '@darabonba/typescript';
import { ModifyNatGatewaySpecResponseBody } from "./ModifyNatGatewaySpecResponseBody";
export declare class ModifyNatGatewaySpecResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ModifyNatGatewaySpecResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
